List¶
POST /api/v1/error_track/list
Overview¶
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| startTime | integer | Y | Start time Example: 1772516130000 Allow empty: False |
| endTime | integer | Y | End time Example: 1772688930000 Allow empty: False |
| conditions | string | Filter conditions Example: service ='kodo' Allow empty: False Allow empty string: True |
|
| issueStatus | commaArray | Status Example: Triage Allow empty: False |
|
| assigner | string | Assignee Example: level Allow empty: False |
|
| pageSize | integer | Number of items per page Allow empty: False Example: 10 |
|
| pageIndex | integer | Page number Allow empty: False Example: 10 |
Parameter Supplementary Description¶
Request Example¶
curl 'https://openapi.truewatch.com/api/v1/error_track/list' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"pageIndex":1,"pageSize":10,"startTime":1772615730000,"endTime":1772788530000,"conditions":"","issueStatus":"Ignored"}' \
Response¶
{
"code": 200,
"content": {
"issueStatusCountInfo": {
"Triage": 9,
"Assigned": 3,
"Ignored": 1,
"Working": 2
},
"data": [
{
"time": 1772788201439,
"count": 577,
"*": 577,
"__docid": "EH_d6l9js8tkafsnj5ncgug",
"__source": "tracing",
"app_id": "",
"app_name": "",
"create_at": null,
"create_time": 1772788209212,
"date": 1772788201439,
"date_ns": 1772788201439703000,
"env": "test3",
"error_message": "500: Internal Server Error",
"error_stack": "gopkg.in/DataDog/dd-trace-go.v1/ddtrace/tracer.(*span).setTagError\n\t/Users/jiangyd/mygo/pkg/mod/gopkg.in/!data!dog/[email protected]/ddtrace/tracer/span.go:217\ngopkg.in/DataDog/dd-trace-go.v1/ddtrace/tracer.(*span).SetTag\n\t/Users/jiangyd/mygo/pkg/mod/gopkg.in/!data!dog/[email protected]/ddtrace/tracer/span.go:117\ngopkg.in/DataDog/dd-trace-go.v1/contrib/internal/httptrace.FinishRequestSpan\n\t/Users/jiangyd/mygo/pkg/mod/gopkg.in/!data!dog/[email protected]/contrib/internal/httptrace/httptrace.go:80\ngopkg.in/DataDog/dd-trace-go.v1/contrib/gin-gonic/gin.Middleware.func1.1\n\t/Users/jiangyd/mygo/pkg/mod/gopkg.in/!data!dog/[email protected]/contrib/gin-gonic/gin/gintrace.go:45",
"error_type": "*errors.errorString",
"fingerprint": "428d4b6922780bad514eca17948c48d4",
"issue_id": "04a0bb44b28e9ff1e01f87828af622b9",
"log_index": "",
"resource": "GET /test/*anypath",
"service": "anypath",
"session_id": "",
"source": "tracing",
"span_id": "7979440628799481665",
"time_us": 1772788201439703,
"trace_id": "7979440628799481665",
"version": "gin3.2",
"view_id": "",
"refData": {
"workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda",
"issueID": "04a0bb44b28e9ff1e01f87828af622b9",
"assigner": [
"acnt_3875a23398de4c92a5fc68a1c49a664b"
],
"issueStatus": "Ignored",
"extend": {
"errorType": "*errors.errorString",
"firstTime": 1770102900086,
"statusChangeRecords": [
{
"time": 1770103057,
"status": "Triage",
"operator": "sys"
}
]
},
"id": 39,
"uuid": "isset_3572af454e1d48918612304f0f22237f",
"status": 0,
"creator": "sys",
"updator": "acnt_349ee5f70a89442fa94b4f754b5acbfe",
"createAt": 1769011233,
"deleteAt": -1,
"updateAt": 1770214134,
"creatorInfo": {
"uuid": "",
"status": 0,
"name": "SYS",
"wsAccountStatus": 0,
"username": "SYS",
"email": "SYS",
"mobile": ""
},
"updatorInfo": {
"uuid": "acnt_349ee5f70a89442fa94b4f754b5acbfe",
"status": 0,
"wsAccountStatus": 0,
"username": "[email protected]",
"name": "88测试账号测试账号1",
"iconUrl": "http://testing-static-res.dataflux.cn/icon/acnt_349ee5f70a89442fa94b4f754b5acbfe.png",
"email": "[email protected]",
"mobile": "12343543422",
"acntWsNickname": ""
},
"assignerInfo": [
{
"uuid": "acnt_3875a23398de4c92a5fc68a1c49a664b",
"status": 0,
"wsAccountStatus": 0,
"username": "[email protected]",
"name": "[email protected]",
"iconUrl": "",
"email": "[email protected]",
"mobile": "17316567690",
"acntWsNickname": ""
}
],
"duration": 2685490,
"statusDuration": {
"Triage": 1770103057
}
},
"app_info": {},
"service_info": {
"service": "anypath",
"type": "web",
"colour": "",
"language": null
}
}
],
"pageInfo": {
"count": 1,
"totalCount": 1,
"pageIndex": 1,
"pageSize": 10
}
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "0bd3a5ade968b33856527975f721923b"
}